import { HttpClient, HttpContext } from '@angular/common/http';
import { Observable } from 'rxjs';
import { StrictHttpResponse } from '../../strict-http-response';
import { JobInfoReply } from '../../models/job-info-reply';
export interface GetJobInfo$Params {
    jobId: string;
}
export declare function getJobInfo(http: HttpClient, rootUrl: string, params: GetJobInfo$Params, context?: HttpContext): Observable<StrictHttpResponse<JobInfoReply>>;
export declare namespace getJobInfo {
    var PATH: string;
}
