import { HttpClient, HttpContext } from '@angular/common/http';
import { Observable } from 'rxjs';
import { StrictHttpResponse } from '../../strict-http-response';
import { RenderDataRequest } from '../../models/render-data-request';
import { RenderDataResponse } from '../../models/render-data-response';
export interface GetRenderData$Params {
    body: RenderDataRequest;
}
export declare function getRenderData(http: HttpClient, rootUrl: string, params: GetRenderData$Params, context?: HttpContext): Observable<StrictHttpResponse<RenderDataResponse>>;
export declare namespace getRenderData {
    var PATH: string;
}
