import { HttpClient, HttpContext } from '@angular/common/http';
import { Observable } from 'rxjs';
import { StrictHttpResponse } from '../../strict-http-response';
export interface GetAsset$Params {
    Range?: string;
    assetParams: string;
}
export declare function getAsset(http: HttpClient, rootUrl: string, params: GetAsset$Params, context?: HttpContext): Observable<StrictHttpResponse<Blob>>;
export declare namespace getAsset {
    var PATH: string;
}
