import { InjectionToken, Provider } from '@angular/core';
import { ApiConfiguration } from "./api/api-configuration";
import * as i0 from "@angular/core";
export declare const RENDERING_SERVICE_API_CONFIG: InjectionToken<RenderingServiceApiConfiguration>;
export declare class RenderingServiceApiConfiguration extends ApiConfiguration {
    static create(params?: RenderingServiceApiConfigurationParams): RenderingServiceApiConfiguration;
    static ɵfac: i0.ɵɵFactoryDeclaration<RenderingServiceApiConfiguration, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RenderingServiceApiConfiguration>;
}
export type RenderingServiceApiConfigurationParams = Partial<RenderingServiceApiConfiguration>;
export declare function getConfigProvider(params?: RenderingServiceApiConfigurationParams): Provider[];
